List custom fields
GET/v2/custom_fields
Returns all custom fields configured in your organization.
This endpoint returns all custom fields at once (typically a small list). No pagination is supported.
Response Format
Returns a list object with:
object- Always “list”data- Array of custom field objectsnextCursor- Always null
Custom Field Object
Each custom field includes:
id- Unique field identifierlabel- Field label displayed to userstype- Field type (text, number, select, multi-select, checkbox, date)required- Whether the field is requiredplaceholder- Placeholder text (for text/number fields)public- Whether the field value is publicly visibleinternal- Whether the field is for internal use onlyoptions- Array of options (for select/multi-select fields)
Field Types
text- Single line text inputnumber- Numeric inputselect- Single-choice dropdownmulti-select- Multiple-choice dropdowncheckbox- Boolean checkboxdate- Date picker
List custom fields
curl https://do.featurebase.app/v2/custom_fields \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"data": [
{
"id": "65d26304b2e65b1e1278170c",
"label": "Your @username",
"object": "custom_field",
"type": "text",
"allowMultiple": false,
"createdAt": "2025-04-06T14:11:58.141Z",
"internal": false,
"options": [
{
"id": "65d26304b2e65b1e1278170d",
"label": "High Priority"
}
],
"placeholder": "Enter your username",
"public": false,
"required": true,
"updatedAt": "2025-04-06T14:11:58.141Z"
}
],
"nextCursor": null,
"object": "list",
"pagination": {
"limit": 10,
"page": 1,
"total": 42,
"totalPages": 5
}
}Returns Examples
{
"data": [
{
"id": "65d26304b2e65b1e1278170c",
"label": "Your @username",
"object": "custom_field",
"type": "text",
"allowMultiple": false,
"createdAt": "2025-04-06T14:11:58.141Z",
"internal": false,
"options": [
{
"id": "65d26304b2e65b1e1278170d",
"label": "High Priority"
}
],
"placeholder": "Enter your username",
"public": false,
"required": true,
"updatedAt": "2025-04-06T14:11:58.141Z"
}
],
"nextCursor": null,
"object": "list",
"pagination": {
"limit": 10,
"page": 1,
"total": 42,
"totalPages": 5
}
}